- Main Page
- Namespaces
- Data Structures
- Files
- Directories

- Search for |

- Alphabetical List
- Data Structures
- Class Hierarchy
- Data Fields

# diskSuperBlock Struct Reference

`#include <ubixfs.h>`

## Public Member Functions
char pad[368] | __attribute__ ((packed))
inodeAddr indicies | __attribute__ ((packed))
inodeAddr rootDir | __attribute__ ((packed))
int32 magic3 | __attribute__ ((packed))
off_t logEnd | __attribute__ ((packed))
off_t logStart | __attribute__ ((packed))
blockRun logBlocks | __attribute__ ((packed))
int32 flags | __attribute__ ((packed))
uInt32 lastUsedAG | __attribute__ ((packed))
uInt32 numAGs | __attribute__ ((packed))
uInt32 AGShift | __attribute__ ((packed))
uInt32 blocksPerAG | __attribute__ ((packed))
uInt32 magic2 | __attribute__ ((packed))
uInt32 inodeSize | __attribute__ ((packed))
uInt32 inodeCount | __attribute__ ((packed))
uInt32 batSectors | __attribute__ ((packed))
off_t usedBlocks | __attribute__ ((packed))
off_t numBlocks | __attribute__ ((packed))
uInt32 blockShift | __attribute__ ((packed))
int32 blockSize | __attribute__ ((packed))
int32 fsByteOrder | __attribute__ ((packed))
int32 magic1 | __attribute__ ((packed))
char name[32] | __attribute__ ((packed))

## Detailed Description

Definition at line 56 of file ubixfs.h.

## Member Function Documentation

char pad [368] diskSuperBlock::__attribute__ | ( | (packed) |  | ) |

inodeAddr indicies diskSuperBlock::__attribute__ | ( | (packed) |  | ) |

inodeAddr rootDir diskSuperBlock::__attribute__ | ( | (packed) |  | ) |

int32 magic3 diskSuperBlock::__attribute__ | ( | (packed) |  | ) |

off_t logEnd diskSuperBlock::__attribute__ | ( | (packed) |  | ) |

off_t logStart diskSuperBlock::__attribute__ | ( | (packed) |  | ) |

blockRun logBlocks diskSuperBlock::__attribute__ | ( | (packed) |  | ) |

int32 flags diskSuperBlock::__attribute__ | ( | (packed) |  | ) |

uInt32 lastUsedAG diskSuperBlock::__attribute__ | ( | (packed) |  | ) |

uInt32 numAGs diskSuperBlock::__attribute__ | ( | (packed) |  | ) |

uInt32 AGShift diskSuperBlock::__attribute__ | ( | (packed) |  | ) |

uInt32 blocksPerAG diskSuperBlock::__attribute__ | ( | (packed) |  | ) |

uInt32 magic2 diskSuperBlock::__attribute__ | ( | (packed) |  | ) |

uInt32 inodeSize diskSuperBlock::__attribute__ | ( | (packed) |  | ) |

uInt32 inodeCount diskSuperBlock::__attribute__ | ( | (packed) |  | ) |

uInt32 batSectors diskSuperBlock::__attribute__ | ( | (packed) |  | ) |

off_t usedBlocks diskSuperBlock::__attribute__ | ( | (packed) |  | ) |

off_t numBlocks diskSuperBlock::__attribute__ | ( | (packed) |  | ) |

uInt32 blockShift diskSuperBlock::__attribute__ | ( | (packed) |  | ) |

int32 blockSize diskSuperBlock::__attribute__ | ( | (packed) |  | ) |

int32 fsByteOrder diskSuperBlock::__attribute__ | ( | (packed) |  | ) |

int32 magic1 diskSuperBlock::__attribute__ | ( | (packed) |  | ) |

char name [32] diskSuperBlock::__attribute__ | ( | (packed) |  | ) |

The documentation for this struct was generated from the following file:

- src/sys/ubixfsv2/ubixfs.h